WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: Google Analyticator] "There was an Analytics API service error 400:Error"

[Resolved] [Plugin: Google Analyticator] "There was an Analytics API service error 400:Error"

  • chestile

    @chestile

    Him
    I’ve installated the last version of Google analyticator, but there is an error :

    “There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    No Analytics account selected. Double check you are authenticated with Google on Google Analyticator’s settings page and make sure an account is selected.”

    I’ve make the access in “setting”, wrote the GoggleID … but nothing happened.

    Any ideas ?

    Cheers,
    Francesco

    http://wordpress.org/extend/plugins/google-analyticator/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Im getting the same error. Every time I try to reset, activate or do anything with 6.3.2, I get a 404.

    Benjamyne

    @benjamyne

    I think this worked for me.

    After updating the analyticator plugin I went to the settings page and it was saying that I had to sign into google and grant the plug in access to my analytics account.

    There is a link on the page that says click here.
    Click there to log into your google account and it will show you where to grant access.

    After you’ve done that, it will give you a long authentication code that you have to copy and paste into the settings page in wordpress.

    Then click save and continue

    Your dashboard shoule be showing Visits Over the Past 30 Days,
    but the statistics most likely will be empty

    Benjamyne
    I had that same problem – but it didnt wor. No many how many times i granted access, reset, refreshed, and even reinstalled, it would not work.

    Video User Manuals

    @videousermanuals

    Hi,

    “There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    During our tests, when I got that error, it was a problem with my Google analytics accounts, or was signing into the wrong Google account

    hannelore

    @hannelore

    I had this error: “There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    I deinstalled the plugin AND in the database table wp_options deleted the lines beginning with ga_
    Then installed the plugin again and under ‘settings’ clicked on “Click here” and followed the instructions.

    It’s working now 🙂

    Benjamyne

    @benjamyne

    It looks like I’m not there yet.
    It’s been showing the words Visits Over the Past 30 Days and nothing more.
    I’ll try what hannelore did, if i an just figure it out

    Benjamyne

    @benjamyne

    Well, I didn’t get around to trying that out.
    I kept getting notifications for updates to the plugin and now it’s working fine, after i applied the updates.
    Hopefully, it will stay that way.

    I had the same issue, and I coudl solve it without delete tables.

    If you see this error:
    1. Go to plugin screen
    2. Search Google Analycator
    3. Click on “Reset”
    4. Go to main scrren configuration of Google Analycator.
    5. Click on “Click Here – Or here if you have popups blocked” (You must Do this)
    6. A new screen open in your browser (pay attention to the pop-up blockers in your browser.)
    7. Follow instructions and copy your API Key
    8. Go back to Google Analicator settings (you have it on background) and paste the API.
    9. Click on “Save and Continue”.

    That’s all.

    Thanks Vyonte,

    I had the same problem and and it works fine now with your clear explain.

    Thanks a lot

    Thanks Vyonte — that worked beautifully for me!
    -The distinction I was missing reading this thread { before trying to follow your instructions } was that there are two “reset” links — one is on the main “Settings” page, and the one in the “all Plugins” page : “all Plugins” mini-command holds the key, here.

    -Furthermore, clicking on /that/ “reset” { mini-command } brings to yet another screen configuration, with the “here .. or here” links. The main “Settings” area does not have this.

    -I suppose it would be worth sending the authors of the plugin a link to this thread; they could really consolidate the functions for better clarity. { I will do so. }

    Thanks again very much!
    Ellen

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Resolved] [Plugin: Google Analyticator] "There was an Analytics API service error 400:Error"’ is closed to new replies.